com.orsoncharts.util

## Enum ExportFormat

- java.lang.Object
- - java.lang.Enum<ExportFormat>
  - - com.orsoncharts.util.ExportFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExportFormat>

      public enum ExportFormat
      extends java.lang.Enum<ExportFormat>

  An enumeration of the different export formats supported by Orson Charts. PNG and JPEG export are provided by the Java standard library. PDF export is enabled when Orson PDF is available on the classpath, and SVG export is enabled when JFreeSVG is available on the classpath.
  Since:
    1.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JPEG` The JPEG image format.
    `PDF` The Acrobat Portable Document Format.
    `PNG` The PNG image format.
    `SVG` The Scalable Vector Graphics format.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExportFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExportFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PNG

          public static final ExportFormat PNG

      The PNG image format.

    - #### JPEG

          public static final ExportFormat JPEG

      The JPEG image format.

    - #### PDF

          public static final ExportFormat PDF

      The Acrobat Portable Document Format.

    - #### SVG

          public static final ExportFormat SVG

      The Scalable Vector Graphics format.

  - ### Method Detail

    - #### values

          public static ExportFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExportFormat c : ExportFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExportFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null